I frequently get the following error in my application event log:

Failed extract of third-party root list from auto update cab at:
with error: A required certificate is not within its validity period
when verifying against the current system clock or the timestamp in the
signed file.

What causes it? How do I fix it? As far as I can tell, this is an
absolutely up-to-date Vista Business system with SP1.